extern char ExtraHeaders[STRSIZ];
extern char UserAgent[STRSIZ];
extern int MaxDocSize;

/* Allow/Disallow/CheckOnly constatnts*/

#define F_ALLOW		0
#define F_DISALLOW	1
#define F_HEAD		2

typedef struct filter_struct {
	regex_t filter;
	int     filter_type;
	int	reverse;
	char	*regstr;
} UDM_FILTER;


/* HTML parser states */

#define HTML_UNK	0
#define HTML_TAG	1
#define HTML_TXT	2
#define HTML_COM	3

/* Aliases item structure */
typedef struct alias_struct {
	char *find;
	char *replace;
} ALIAS;

extern SERVER		* FindServer(char *url);
extern ALIAS		* FindAlias(char * str);
extern UDM_FILTER	* FindFilter(char *url);
extern char 		*FilterComStr(UDM_FILTER* f);
